<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.trace.views"
   name="Hyades Trace Views Plugin"
   version="1.0.3"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.trace.views.internal.TraceUIPlugin">

   <runtime>
      <library name="ui.jar"/>
   </runtime>
   <requires>
      <import plugin="org.eclipse.hyades.trace.ui"/> 
      <import plugin="org.eclipse.hyades.models.hierarchy"/> 
      <import plugin="org.eclipse.hyades.models.trace"/>       
      <import plugin="org.eclipse.hyades.execution.local"/>                     
      <import plugin="org.eclipse.core.resources"/>
     <import plugin="org.eclipse.jdt.core"/>      
      <import plugin="org.eclipse.ui"/>
   </requires>

  <!-- ================================================================================= -->

 <extension point="org.eclipse.ui.views"> 
		 <view   id        = "org.eclipse.hyades.trace.views.adapter.internal.PackageStatisticViewer"
                name       = "%STR_PACKAGE_ST_TITLE"
                icon       = "./icons/full/cview16/packclass_statistic_view.gif"
	            category   ="org.eclipse.hyades.trace.internal.ui.trace"
                class      = "org.eclipse.hyades.trace.views.adapter.internal.PackageStatisticViewer">
        </view>
        <view   id         = "org.eclipse.hyades.trace.views.adapter.internal.ClassStatisticViewer"
                name       = "%STR_CLASS_ST_TITLE"
                icon       = "./icons/full/cview16/classmeth_statistic_view.gif"
	            category   ="org.eclipse.hyades.trace.internal.ui.trace"
                class      = "org.eclipse.hyades.trace.views.adapter.internal.ClassStatisticViewer">
        </view>
          <view   id         = "org.eclipse.hyades.trace.views.adapter.internal.ClassInstanceStatisticViewer"
                name       = "%STR_CLASS_INSTANCE_ST_TITLE"
                icon       = "./icons/full/cview16/classinst_statistic_view.gif"
	        	category   ="org.eclipse.hyades.trace.internal.ui.trace"
                class      = "org.eclipse.hyades.trace.views.adapter.internal.ClassInstanceStatisticViewer">
        </view>
        <view   id         = "org.eclipse.hyades.trace.views.adapter.internal.MethodStatisticViewer"
                name       = "%STR_METH_ST_TITLE"
                icon       = "./icons/full/cview16/meth_statistic_view.gif"
	        	category   ="org.eclipse.hyades.trace.internal.ui.trace"
                class      = "org.eclipse.hyades.trace.views.adapter.internal.MethodStatisticViewer">
        </view>        
</extension>

  <!-- ================================================================================= -->

<extension point="org.eclipse.ui.perspectiveExtensions">
  <perspectiveExtension 
	targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
	<actionSet id="org.eclipse.hyades.trace.profileViewActionSet"/>
    	<view id="org.eclipse.hyades.trace.views.adapter.internal.PackageStatisticViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>
    	<view id="org.eclipse.hyades.trace.views.adapter.internal.ClassStatisticViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>	
    	<view id="org.eclipse.hyades.trace.views.adapter.internal.MethodStatisticViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>	
    	<view id="org.eclipse.hyades.trace.views.adapter.internal.ClassInstanceStatisticViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>	
    			    			
    	<viewShortcut id="org.eclipse.hyades.trace.views.adapter.internal.PackageStatisticViewer"/>
  </perspectiveExtension> 
</extension>

  <!-- ================================================================================= -->
    
   <extension point="org.eclipse.hyades.ui.analyzerExtensions">
  	 <analyzerExtension
            id="org.eclipse.hyades.trace.views.actions.internal.OpenPackageStatisticViewAction"          
	    	name="%STR_OPEN_PACKAGE_ST_ACTION"
	    	type="Profiler"
	    	extension="trace"
	    	icon="./icons/full/cview16/packclass_statistic_view.gif"
	    	isDefault="true"
             class="org.eclipse.hyades.trace.views.actions.internal.OpenPackageStatisticViewAction">
     </analyzerExtension> 	
     <analyzerExtension
            id="org.eclipse.hyades.trace.views.actions.internal.OpenClassStatisticViewAction"          
		    name="%STR_OPEN_CLASS_ST_ACTION"
		    icon="./icons/full/cview16/classmeth_statistic_view.gif"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenClassStatisticViewAction"
            extension="trace"
            type="Profiler">           
     </analyzerExtension> 
     <analyzerExtension
            id="org.eclipse.hyades.trace.views.actions.internal.OpenMethodStatisticViewAction"          
	    	name="%STR_OPEN_METH_ST_ACTION"
	    	icon="./icons/full/cview16/meth_statistic_view.gif"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenMethodStatisticViewAction"
            extension="trace"
            type="Profiler">                      
     </analyzerExtension>     
     <analyzerExtension
            id="org.eclipse.hyades.trace.views.actions.internal.OpenClassInstanceStatisticViewAction"          
		    name="%STR_OPEN_CLASS_INSTANCE_ST_ACTION"
		    icon="./icons/full/cview16/classinst_statistic_view.gif"
		    extension="trace"
		    type="Profiler"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenClassInstanceStatisticViewAction">
     </analyzerExtension> 
         
   </extension>
    
  <!-- ================================================================================= -->
 
   <extension
         point="org.eclipse.ui.preferencePages">
		<page name="%STR_PREF_PROFILE_BASE"
			id="org.eclipse.hyades.trace.views.preferences.internal.ProfileBasePreferencePage"
			class="org.eclipse.hyades.trace.views.preferences.internal.ProfileBasePreferencePage"
			category= "org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage">
		</page>
   </extension>
   
  <!-- ================================================================================= -->

 <extension point = "org.eclipse.ui.actionSets">
   <actionSet id="org.eclipse.hyades.trace.profileViewActionSet"
	   label="%STR_VIEW_ACTION_SET"
	   visible="false">	   
	   <action id="org.eclipse.hyades.trace.views.actions.internal.OpenClassInstanceStatisticAction"        
		   toolbarPath="trace/group.statistic"
		   label="%STR_ACT_SET_CLS_INST"
		   tooltip="%STR_ACT_SET_CLS_INST_TIP"
		   icon="./icons/full/ctool16/classinst_statistic_co.gif"
		   class="org.eclipse.hyades.trace.views.actions.internal.OpenClassInstanceStatisticViewAction">
	   </action>	   
	   <action id="org.eclipse.hyades.trace.views.actions.internal.OpenMethodStatisticAction"  
		   toolbarPath="trace/group.statistic"
		   label="%STR_ACT_SET_METH_ACTION"
		   tooltip="%STR_ACT_SET_METH_ACTION_TIP"
		   icon="./icons/full/ctool16/meth_stat_co.gif"
		   class="org.eclipse.hyades.trace.views.actions.internal.OpenMethodStatisticViewAction">
	   </action>
	   <action id="org.eclipse.hyades.trace.views.actions.internal.OpenClassStatisticAction"        
		   toolbarPath="trace/group.statistic"
		   label="%STR_ACT_SET_CLS"
		   tooltip="%STR_ACT_SET_CLS_TIP"
		   icon="./icons/full/ctool16/classmeth_statistic_co.gif"
		   class="org.eclipse.hyades.trace.views.actions.internal.OpenClassStatisticViewAction">
	   </action>
	    <action id="org.eclipse.hyades.trace.views.actions.internal.OpenPackageStatisticAction"        
		   toolbarPath="trace/group.statistic"
		   label="%STR_ACT_SET_PACKAGE"
		   tooltip="%STR_ACT_SET_PACKAGE_TIP"
		   icon="./icons/full/ctool16/packclass_statistic_co.gif"
		   class="org.eclipse.hyades.trace.views.actions.internal.OpenPackageStatisticViewAction">
	   </action>
	</actionSet> 
	
 </extension>
   
<extension point = "org.eclipse.ui.popupMenus">
	<objectContribution
		id = "org.eclipse.hyades.models.trace.TRCMethod"
		objectClass = "org.eclipse.hyades.models.trace.TRCMethod">
        <action
            id="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction"          
		    label="%SHOW_SOURCE"
            icon= "./icons/full/elcl16/opensource_co.gif"	
			menubarPath = "generic.action"						            	    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction">
        </action>                         
	</objectContribution>
		
	<objectContribution
		id = "org.eclipse.hyades.models.trace.TRCMethodInvocation"
		objectClass = "org.eclipse.hyades.models.trace.TRCMethodInvocation">
        <action
            id="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction"          
		    label="%SHOW_SOURCE"
            icon= "./icons/full/elcl16/opensource_co.gif"	
			menubarPath = "generic.action"						            	    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction">
        </action>                                        
	</objectContribution>	

	<objectContribution
		id = "org.eclipse.hyades.models.trace.TRCClass"
		objectClass = "org.eclipse.hyades.models.trace.TRCClass">
        <action
            id="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction"          
		    label="%SHOW_SOURCE"
            icon= "./icons/full/elcl16/opensource_co.gif"	
			menubarPath = "generic.action"						            	    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction">
        </action>                                 
	</objectContribution>	

	<objectContribution
		id = "org.eclipse.hyades.models.trace.TRCObject"
		objectClass = "org.eclipse.hyades.models.trace.TRCObject">
        <action
            id="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction"          
		    label="%SHOW_SOURCE"
            icon= "./icons/full/elcl16/opensource_co.gif"	
			menubarPath = "generic.action"						            	    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction">
        </action>                                 
	</objectContribution>	

</extension> 
     
</plugin>
